require(RIdeogram)
liriodendron_karyotype <- read.table("karyotype.txt", sep = "\t", header = T, stringsAsFactors = F)
Pi_for_CE <- read.table("Pi_for_CE.txt", sep = "\t", header = T, stringsAsFactors = F)
Pi_for_CW <- read.table("Pi_for_CW.txt", sep = "\t", header = T, stringsAsFactors = F)

ideogram(karyotype = liriodendron_karyotype, overlaid = Pi_for_CW, label = Pi_for_CE, label_type = "heatmap", colorset1 = c("#edecff", "#7570b3"), colorset2 = c("#fff5ed", "#d95f02"))
convertSVG("chromosome.svg", device = "png", dpi = 600)